# MedicalCertificateScanningParameters class

Parameters for the medical certificate scanning. The scanner supports Form 1 (Arbeitsunfähigkeitsbescheinigung) and Form 21a (Ärztliche Bescheinigung für den Bezug von Krankengeld bei Erkrankung eines Kindes) from the KBV (Kassenärztliche Bundesvereinigung) list of forms.

## Constructors

MedicalCertificateScanningParameters.new({bool shouldCropDocument = true, bool recognizePatientInfoBox = true, bool recognizeBarcode = true, bool extractCroppedImage = false, bool preprocessInput = false})
MedicalCertificateScanningParameters.fromJson(Map<String, dynamic> json)
  factory

## Properties

extractCroppedImage ↔ bool
  If true, cropped document image will be extracted and returned.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
preprocessInput ↔ bool
  If true, the image is sharpened before processing.
  getter/setter pair
recognizeBarcode ↔ bool
  Some forms are printed with an extra barcode that encodes the same information as the document. Reading the barcode is more reliable than OCR and is recommended when possible. If false, the barcode will not be scanned.
  getter/setter pair
recognizePatientInfoBox ↔ bool
  All data in the patient info box will be extracted. If false, the patient info box is ignored.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
shouldCropDocument ↔ bool
  Document will be detected and cropped before recognition. If false, a cropped image of a document is assumed.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited